PX_GET_DATA_ALPHA(3)

NAME
PX_get_data_alpha — Get alpha data field

SYNOPSIS

#include <paradox.h>

int PX_get_data_alpha(pxdoc_t *pxdoc, char *data, int len, char **value)

DESCRIPTION

Converts a data field as it is stored in the database file into a string for the given encoding. You must set the target encoding before in order to recode the string. If you do not set the encoding the data will be returned as is. You should use this function instead of accessing the data directly.

data points to the start of the data field in the record. It must be calculated by summing up all field length before the field to operate on and add it to the base pointer of the record.

The function allocates memory for the string returned in *value. This memory has to be freed by the application.

    Note:

    This function is deprecated and obsolete if PX_retrieve_record(3) is used.

RETURN VALUE

Returns 0 if the field data starts with a null byte, -1 in case of an error and 1 otherwise.

SEE ALSO

PX_get_data_byte(3), PX_get_data_long(3), PX_get_data_short(3), PX_get_data_double(3), PX_get_data_bcd(3), PX_get_data_blob(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.